Package org.eclipse.birt.report.model.api.command

# Class UserPropertyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.UserPropertyException

All Implemented Interfaces:
  `Serializable`

public class UserPropertyException extends SemanticException
Reports an error during a user property operation.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_CHOICE_NAME_REQUIRED`
Error code indicating the name of the user choice is missing.
`static final String`
`DESIGN_EXCEPTION_CHOICE_VALUE_REQUIRED`
Error code indicating the value of the user choice is missing.
`static final String`
`DESIGN_EXCEPTION_DUPLICATE_NAME`
Error code indicating the new user property duplicates an existing property name.
`static final String`
`DESIGN_EXCEPTION_INVALID_CHOICE_VALUE`
Error code indicating the choice value is invalid for the user property type, which is not choice.
`static final String`
`DESIGN_EXCEPTION_INVALID_DEFAULT_VALUE`
Error code indicating the default value is invalid for the user property type.
`static final String`
`DESIGN_EXCEPTION_INVALID_DEFINITION`
Error code indicating the user property definition is invalid.
`static final String`
`DESIGN_EXCEPTION_INVALID_DISPLAY_ID`
Error code indicating the display name ID is provided, and display name can not be found.
`static final String`
`DESIGN_EXCEPTION_INVALID_TYPE`
Error code indicating the user property type is invalid.
`static final String`
`DESIGN_EXCEPTION_MISSING_CHOICES`
Error code indicating the user property type is choice, but no choice is defined.
`static final String`
`DESIGN_EXCEPTION_NAME_REQUIRED`
Error code indicating the use property definition is missing name, while it must have a name.
`static final String`
`DESIGN_EXCEPTION_NOT_FOUND`
Error code indicating the user property definition is not found.
`static final String`
`DESIGN_EXCEPTION_USER_PROP_DISALLOWED`
Error code indicating the element is not allowed to have user property.
`protected String`
`propertyName`
The name of the user property affected.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`UserPropertyException(org.eclipse.birt.report.model.core.DesignElement obj, String name, String errCode)`
Constructor.
`UserPropertyException(org.eclipse.birt.report.model.core.DesignElement obj, String name, String errCode, ModelException cause, String[] args)`
Constructor.
`UserPropertyException(org.eclipse.birt.report.model.core.DesignElement obj, String name, String errCode, org.eclipse.birt.report.model.metadata.MetaDataException cause)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`
`String`
`getPropertyName()`
Gets the name of the property that caused the problem.

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### propertyName

protected String propertyName
The name of the user property affected.

### DESIGN_EXCEPTION_NAME_REQUIRED

public static final String DESIGN_EXCEPTION_NAME_REQUIRED
Error code indicating the use property definition is missing name, while it must have a name.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE_NAME

public static final String DESIGN_EXCEPTION_DUPLICATE_NAME
Error code indicating the new user property duplicates an existing property name.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_TYPE

public static final String DESIGN_EXCEPTION_INVALID_TYPE
Error code indicating the user property type is invalid.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_DEFINITION

public static final String DESIGN_EXCEPTION_INVALID_DEFINITION
Error code indicating the user property definition is invalid.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MISSING_CHOICES

public static final String DESIGN_EXCEPTION_MISSING_CHOICES
Error code indicating the user property type is choice, but no choice is defined.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_DISPLAY_ID

public static final String DESIGN_EXCEPTION_INVALID_DISPLAY_ID
Error code indicating the display name ID is provided, and display name can not be found.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_NOT_FOUND

public static final String DESIGN_EXCEPTION_NOT_FOUND
Error code indicating the user property definition is not found.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_USER_PROP_DISALLOWED

public static final String DESIGN_EXCEPTION_USER_PROP_DISALLOWED
Error code indicating the element is not allowed to have user property.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_CHOICE_VALUE_REQUIRED

public static final String DESIGN_EXCEPTION_CHOICE_VALUE_REQUIRED
Error code indicating the value of the user choice is missing.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_CHOICE_NAME_REQUIRED

public static final String DESIGN_EXCEPTION_CHOICE_NAME_REQUIRED
Error code indicating the name of the user choice is missing.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_CHOICE_VALUE

public static final String DESIGN_EXCEPTION_INVALID_CHOICE_VALUE
Error code indicating the choice value is invalid for the user property type, which is not choice.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_DEFAULT_VALUE

public static final String DESIGN_EXCEPTION_INVALID_DEFAULT_VALUE
Error code indicating the default value is invalid for the user property type.

See Also:
  - Constant Field Values

## Constructor Details

### UserPropertyException

public UserPropertyException(org.eclipse.birt.report.model.core.DesignElement obj, String name, String errCode)
Constructor.

Parameters:
  `obj` - the element to be changed.
  `name` - the name of the user property.
  `errCode` - what went wrong.

### UserPropertyException

public UserPropertyException(org.eclipse.birt.report.model.core.DesignElement obj, String name, String errCode, org.eclipse.birt.report.model.metadata.MetaDataException cause)
Constructor.

Parameters:
  `obj` - the element to be changed
  `name` - the name of the user property
  `errCode` - the error code
  `cause` - the nested exception

### UserPropertyException

public UserPropertyException(org.eclipse.birt.report.model.core.DesignElement obj, String name, String errCode, ModelException cause, String[] args)
Constructor.

Parameters:
  `obj` - the element to be changed
  `name` - the name of the user property
  `errCode` - the error code
  `cause` - the nested exception
  `args` - argument array used for error message

## Method Details

### getPropertyName

public String getPropertyName()
Gets the name of the property that caused the problem.

Returns:
  the property name.

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`